List alert rules
List all alert rules for the current organization and environment.
GET
/alert-rules
List all alert rules for the current organization and environment.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Responses
200
Alert rules list
application/jsonalert_rules
object | null[]
REQUIRED
Array of:
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
enabled
integer
REQUIRED
rule_type
string
REQUIRED
rule_config
string
REQUIRED
source_id
string | null
REQUIRED
destination_id
string | null
REQUIRED
channel_ids
string
REQUIRED
cooldown_minutes
integer
REQUIRED
last_triggered_at
string | null
REQUIRED
trigger_count
integer
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
401
Unauthorized
curl -X GET 'https://hookstream.io/v1/alert-rules' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/alert-rules', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.get('https://hookstream.io/v1/alert-rules', headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://hookstream.io/v1/alert-rules", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
result, _ := io.ReadAll(resp.Body)
fmt.Println(string(result))
}
200
Response
{
"alert_rules": [
{
"id": "<string>",
"org_id": "<string>",
"env_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": 123,
"rule_type": "<string>",
"rule_config": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"channel_ids": "<string>",
"cooldown_minutes": 123,
"last_triggered_at": "<string>",
"trigger_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
GET
/alert-rules